<?php
include "../ver_sessao.php";
include "../conecta.php";


function exclui_forma(){
	
	remover('forma',$_POST[id]);
	index();
	exit;
	
}

function modifica_forma(){
	
	global $a_mod;
	$a_mod = carregar('forma',$_POST[id]);
	layout_forma();
}



function cadastra_forma(){
	
	$campos = array(form_tx_nome,form_tx_sefaz,form_tx_tipo,form_tx_pinpad,form_tx_status,
		form_tx_bandeira,form_tx_modo,form_tx_taxaVista,form_tx_taxaPrazo,form_tx_acrescimoParcela,form_tx_taxaTransacao,form_tx_prazo);
	$valores= array($_POST[nome],$_POST[forma_sefaz],$_POST[tipo],$_POST[pinpad],'ativo',
		$_POST[bandeira],valor($_POST[modo]),valor($_POST[taxaVista]),valor($_POST[taxaPrazo]),valor($_POST[acrescimoParcela]),valor($_POST[taxaTransacao]),$_POST[prazo]);

	
	if( !$_POST[id] ) {

		$proximo_id = ultimo_reg('forma');
		$proximo_id++;

		$id_salto=0;
		if ( $proximo_id==50 || $proximo_id==51 ) {
			// OS PRODUTOS 50 E 51 SEMPRE OCUPAM ESSES IDS
			$id_salto=52;
		}
		if ( $proximo_id==1 || $proximo_id==2 ) {
			// JÁ É OCUPADO PELAS FORMAS DE DINHEIRO E CHEQUE
			$id_salto=3;
		}
		if ( $proximo_id==5 ) {
			// JÁ É OCUPADO PELA FORMA BOLETO BANCARIO
			$id_salto=6;
		}
		if ( $proximo_id==17 ) {
			// JÁ É OCUPADO PELA FORMA CARTEIRA (CRÉDITO LOJA)
			$id_salto=18;
		}

		if ($id_salto>0) {
			// IDENTIFICA SE PRESISA REALIZAR ALGUM TIPO DE SALTO NOS IDS
			array_push($campos, form_nb_id);
			array_push($valores, $id_salto);
		}

		inserir('forma',$campos,$valores);

		$id_forma = ultimo_reg('forma');
		
		$campos=array(prod_nb_id,prod_tx_nome,prod_tx_status);
		$valores=array($id_forma,$_POST[nome],inativo);
		inserir('produto',$campos,$valores);
		
	} else {
	
		atualizar('forma',$campos,$valores,$_POST[id]);
		
		$campos=array(prod_tx_nome);
		$valores=array($_POST[nome]);
		atualizar('produto',$campos,$valores,$_POST[id]);
		
	}
		
	index();
	exit;
	
}


function layout_forma(){
	
	global $a_mod;
	
	cabecalho('Cadastro de Forma de Pagamento',2);

	if ($a_mod[form_tx_sefaz]=='') {
		$a_mod[form_tx_sefaz] = '99 - OUTROS';
	}

	$a_formas_sefaz = array('01 - DINHEIRO','02 - CHEQUE','03 - CARTÃO DE CRÉDITO','04 - CARTÃO DE DÉBITO','05 - CRÉDITO LOJA','10 - VALE ALIMENTAÇÃO','11 - VALE REFEIÇÃO','12 - VALE PRESENTE','13 - VALE COMBUSTÍVEL','15 - BOLETO BANCÁRIO','90 - SEM PAGAMENTO','99 - OUTROS');
	
	
	//CAMPOS
	if( $a_mod[form_nb_id]!=1 && $a_mod[form_nb_id]!=2 && $a_mod[form_nb_id]!=5 && $a_mod[form_nb_id]!=17 ){
		$c[] = cactux::campo('Forma de Pagamento:','nome',$a_mod[form_tx_nome],3);
		$c[] = cactux::combo('Forma de Pagamento Sefaz:','forma_sefaz',$a_formas_sefaz,$a_mod[form_tx_sefaz],3);
		$c[] = cactux::combo('Pin pad:','pinpad',array('Não','Multiplus','Cappta'),$a_mod[form_tx_pinpad],2);
		$c[] = cactux::combo('Tipo:','tipo',array('Ambos','Receitas','Despesas','Bloqueado'),$a_mod[form_tx_tipo],2);

	} else {
		// NÃO PODE MODIFICAR
		$c[] = cactux::campo('Forma de Pagamento:','nome',$a_mod[form_tx_nome],3," readonly ");
		$c[] = cactux::combo('Forma de Pagamento Sefaz:','forma_sefaz',array($a_mod[form_tx_sefaz]),$a_mod[form_tx_sefaz],3);
		$c[] = cactux::combo('Pin pad:','pinpad',array('Não'),$a_mod[form_tx_pinpad],2);
		$c[] = cactux::combo('Tipo:','tipo',array('Ambos','Receitas','Despesas','Bloqueado'),$a_mod[form_tx_tipo],2);
	}

	$c2[] = cactux::combo('Bandeira:','bandeira',array('','TODOS', 'VISA', 'MASTER', 'HIPER', 'HIPERCARD', 'ELO', 'DINNERS CLUB', 'AMERICAN EXPRESS'),$a_mod[form_tx_bandeira],3);
	$c2[] = cactux::combo('Modalidade:','modo',array('','DÉBITO', 'CRÉDITO'),$a_mod[form_tx_modo],3);
	$c2[] = cactux::campo('Taxa à Vista(%):','taxaVista',mostra_valor($a_mod[form_tx_taxaVista]),2,MASCARA_VALOR);
	$c2[] = cactux::campo('Taxa à Prazo(%):','taxaPrazo',mostra_valor($a_mod[form_tx_taxaPrazo]),2,MASCARA_VALOR);
	$c2[] = cactux::campo('Acrescimo Parcela(%):','acrescimoParcela',mostra_valor($a_mod[form_tx_acrescimoParcela]),3,MASCARA_VALOR);
	$c2[] = cactux::campo('Taxa de Transação(%):','taxaTransacao',mostra_valor($a_mod[form_tx_taxaTransacao]),3,MASCARA_VALOR);
	$c2[] = cactux::campo('Prazo (dias):','prazo',$a_mod[form_tx_prazo],3,MASCARA_NUMERO);

	//BOTOES
	$gravar = cactux::botao_submit('Gravar',2,'cadastra_forma','id',$_POST[id]);
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	//-----------

	cactux::abre_form();
	cactux::abre_fieldset('Cadastro de Forma de Pagamento');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3]);
	cactux::linha_fieldset($c2[0],$c2[1],$c2[2],$c2[3]);
	cactux::linha_fieldset($c2[4],$c2[5],$c2[6]);
	cactux::linha_fieldset($voltar,$gravar,$status);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('voltar','index');
	rodape();
	
}




function layout_imprimir(){
	
	cabecaRelatorio('Cadastro de Forma de Pagamento',2);

	if($_POST[busca_cod]!='')
		$extra .= " AND form_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_forma]!='')
		$extra .= " AND form_tx_nome LIKE '%$_POST[busca_forma]%'";

	cactux::abre_form('');
	
	$c[] = cactux::texto('Código:',$_POST['busca_cod'],1);
	$c[] = cactux::texto('Nome:',$_POST['busca_forma'],5);
	
	cactux::abre_fieldset('Informações de Busca');
	cactux::linha_fieldset($c[0],$c[1]);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	echo"<br>";

	
	$sql = selecionar('forma','form_tx_status',"!inativo"," $extra ORDER BY form_tx_nome");
	
	$cabecalho[] = array('CÓDIGO','NOME');
	$cabecalho[] = 'c,e';
	$cabecalho[] = '6%,,';
	
	while( $a = carrega_array($sql) ){
		
		$valores[] = array($a[form_nb_id],$a[form_tx_nome]);
		
	}
	
	grid::gerar($cabecalho,$valores);
	
	rodape();
	
}


function index(){
	

	if($_POST[busca_cod]!='')
		$extra .= " AND form_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_forma]!='')
		$extra .= " AND form_tx_nome LIKE '%$_POST[busca_forma]%'";

	
	$sql = selecionar('forma','form_tx_status',"!inativo"," $extra ORDER BY form_tx_nome",1);
	$BUSCA = grid::gerar_paginacao($sql);

	cabecalho('Cadastro de Forma de Pagamento',2);
	
	//CAMPOS
	$cod = cactux::campo('Código:','busca_cod',$_POST[busca_cod],2);
	$nome = cactux::campo('Nome:','busca_forma',$_POST[busca_forma],8);
	//------------
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$inserir = cactux::botao('Inserir',2,'inserir');
	$imprimir = cactux::botao('Imprimir',2,'imprimir');
	
	//-----------
	
	cactux::abre_form();
	cactux::abre_fieldset('Cadastro de Forma de Pagamento');
	cactux::linha_fieldset($cod,$nome);
	cactux::linha_fieldset($buscar,$inserir,$imprimir);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('inserir','layout_forma');
	cactux::acao_botao('imprimir','layout_imprimir','','','','',' target=_blank');
	
	$cabecalho[] = array('CÓD.','NOME','SEFAZ','PIN&nbsp;PAD','TIPO','','');
	$cabecalho[] = 'c,e,e';
	$cabecalho[] = '6%,,20%,8%,8%,2%,2%';
	
	while( $a = carrega_array($BUSCA[0]) ){

		$modificar=".icone_modificar($a[0],modifica_forma)";
		if( $a[form_nb_id]!=1 && $a[form_nb_id]!=2 && $a[form_nb_id]!=5 && $a[form_nb_id]!=17 ){
			// $modificar=".icone_modificar($a[0],modifica_forma)";
			$excluir = ".icone_excluir($a[0],exclui_forma)";
		}else{
			// $modificar='';
			$excluir = '';
		}
		
		$valores[] = array($a[form_nb_id],$a[form_tx_nome],$a[form_tx_sefaz],$a[form_tx_pinpad],$a[form_tx_tipo],$modificar,$excluir);
		
	}
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
	
}

controle();
?>